// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 46;
	objects = {

/* Begin PBXBuildFile section */
		240C5BE018D267C70011177A /* Icons.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 240C5BDF18D267C70011177A /* Icons.xcassets */; };
		24191F8D1944C991003C0D98 /* CommentsController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24191F8C1944C991003C0D98 /* CommentsController.swift */; };
		2419D02324898DF700740184 /* Media.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 2419D02224898DF700740184 /* Media.xcassets */; };
		2419D02524898DF700740184 /* ActionViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2419D02424898DF700740184 /* ActionViewController.swift */; };
		2419D02824898DF700740184 /* MainInterface.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 2419D02624898DF700740184 /* MainInterface.storyboard */; };
		2419D02C24898DF700740184 /* HackersActionExtension.appex in Embed App Extensions */ = {isa = PBXBuildFile; fileRef = 2419D02024898DF700740184 /* HackersActionExtension.appex */; settings = {ATTRIBUTES = (RemoveHeadersOnCopy, ); }; };
		2419D037248AB03700740184 /* OpenInViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2419D035248AAFDF00740184 /* OpenInViewController.swift */; };
		2419D038248AB03700740184 /* OpenInViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2419D035248AAFDF00740184 /* OpenInViewController.swift */; };
		241C32DE24950C05000876DC /* PostTitleView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 241C32DD24950C05000876DC /* PostTitleView.swift */; };
		243271951F95EDA9008196DB /* StringExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 243271941F95EDA9008196DB /* StringExtensions.swift */; };
		245345EF22466EA8001AF1CE /* HackersUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 245345EE22466EA8001AF1CE /* HackersUITests.swift */; };
		245345FB22466F75001AF1CE /* SnapshotHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 245345F722466F71001AF1CE /* SnapshotHelper.swift */; };
		2454B9041F655426005A98C7 /* EmptyViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2454B9031F655426005A98C7 /* EmptyViewController.swift */; };
		2457F04524696EB000F3E7A4 /* HackersKit.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2457F04424696EB000F3E7A4 /* HackersKit.swift */; };
		245DCAB01CD4DA2A00152AA3 /* SFSafariViewControllerExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 245DCAAF1CD4DA2A00152AA3 /* SFSafariViewControllerExtensions.swift */; };
		24628BAD21E6897700BDEEF9 /* AppFont.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24628BAC21E6897700BDEEF9 /* AppFont.swift */; };
		2464D213209DEFB100C7F8FC /* UINavigationControllerExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2464D212209DEFB100C7F8FC /* UINavigationControllerExtensions.swift */; };
		2464D21B209E1FA100C7F8FC /* SettingsViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2464D21A209E1FA100C7F8FC /* SettingsViewController.swift */; };
		2464D21D209E208800C7F8FC /* SettingsTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2464D21C209E208800C7F8FC /* SettingsTableViewCell.swift */; };
		2464D21F209E27FE00C7F8FC /* UserDefaultsExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2464D21E209E27FE00C7F8FC /* UserDefaultsExtensions.swift */; };
		2477BDE5227D9D8200771FE2 /* SessionService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2477BDE4227D9D8200771FE2 /* SessionService.swift */; };
		2479E11522B69CF100D9F1A4 /* ThumbnailImageView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2479E11422B69CF100D9F1A4 /* ThumbnailImageView.swift */; };
		247C9C79248BC35000AF4E60 /* NavigationService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 247C9C78248BC35000AF4E60 /* NavigationService.swift */; };
		2481BD5B247C0FFB0088CA2B /* Models.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2481BD5A247C0FFB0088CA2B /* Models.swift */; };
		2481BD5D247C10330088CA2B /* HackersKit+PostsList.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2481BD5C247C10330088CA2B /* HackersKit+PostsList.swift */; };
		2481BD5F247C103B0088CA2B /* HackersKit+Post.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2481BD5E247C103B0088CA2B /* HackersKit+Post.swift */; };
		2481BD61247C11AE0088CA2B /* HackersKit+CommentVoting.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2481BD60247C11AE0088CA2B /* HackersKit+CommentVoting.swift */; };
		2481BD63247C12540088CA2B /* HNScraperShim.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2481BD62247C12540088CA2B /* HNScraperShim.swift */; };
		2481BD65247C1B380088CA2B /* HackersKit+PostVoting.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2481BD64247C1B380088CA2B /* HackersKit+PostVoting.swift */; };
		24993C55229C2BD400AF1891 /* AuthenticationUIService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24993C54229C2BD400AF1891 /* AuthenticationUIService.swift */; };
		24993C57229C768700AF1891 /* AuthenticationBulletinPage.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24993C56229C768700AF1891 /* AuthenticationBulletinPage.swift */; };
		249A7E32194374550059C079 /* CommentTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 249A7E31194374550059C079 /* CommentTableViewCell.swift */; };
		249B8F8322A2A48B002A9EC5 /* NotificationToken.swift in Sources */ = {isa = PBXBuildFile; fileRef = 249B8F8222A2A48B002A9EC5 /* NotificationToken.swift */; };
		249B8F8522A2A519002A9EC5 /* NotificationCenterExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 249B8F8422A2A519002A9EC5 /* NotificationCenterExtensions.swift */; };
		249B8F8722A2B740002A9EC5 /* SwipeCellKitActions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 249B8F8622A2B740002A9EC5 /* SwipeCellKitActions.swift */; };
		249B8F8A22A2C9B3002A9EC5 /* TableViewBackgroundView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 249B8F8922A2C9B3002A9EC5 /* TableViewBackgroundView.swift */; };
		249B8F8C22A2CA6F002A9EC5 /* TableViewBackgroundView.xib in Resources */ = {isa = PBXBuildFile; fileRef = 249B8F8B22A2CA6F002A9EC5 /* TableViewBackgroundView.xib */; };
		24A13DC32621EFD6002235A8 /* ItemCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 24A13DC22621EFD6002235A8 /* ItemCell.xib */; };
		24A13DC92621F36F002235A8 /* ItemCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24A13DC82621F36F002235A8 /* ItemCell.swift */; };
		24ADA7E3206FAF2200C143F4 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 24ADA7E2206FAF2200C143F4 /* Main.storyboard */; };
		24B1A6A522B508A40051EAFD /* OnboardingService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24B1A6A422B508A40051EAFD /* OnboardingService.swift */; };
		24B1A6A722B521470051EAFD /* BounceExpansion.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24B1A6A622B521470051EAFD /* BounceExpansion.swift */; };
		24B982DD22BE65E2000D8913 /* SettingsView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24B982DC22BE65E2000D8913 /* SettingsView.swift */; };
		24B982DF22BE65FF000D8913 /* SettingsStore.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24B982DE22BE65FF000D8913 /* SettingsStore.swift */; };
		24C10BF624866D3F00B93F68 /* ShareViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24C10BF524866D3F00B93F68 /* ShareViewController.swift */; };
		24C10BF924866D3F00B93F68 /* MainInterface.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 24C10BF724866D3F00B93F68 /* MainInterface.storyboard */; };
		24C10BFD24866D3F00B93F68 /* HackersShareExtension.appex in Embed App Extensions */ = {isa = PBXBuildFile; fileRef = 24C10BF324866D3F00B93F68 /* HackersShareExtension.appex */; settings = {ATTRIBUTES = (RemoveHeadersOnCopy, ); }; };
		24C10C082486DB0700B93F68 /* HtmlParser.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24C10C072486DB0700B93F68 /* HtmlParser.swift */; };
		24C20D391A7E42D5005B759B /* MainSplitViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24C20D381A7E42D5005B759B /* MainSplitViewController.swift */; };
		24CE5FED19434BDC009D2677 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24CE5FEC19434BDC009D2677 /* AppDelegate.swift */; };
		24CE5FF819435A90009D2677 /* PostCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24CE5FF719435A90009D2677 /* PostCell.swift */; };
		24CEAA9B1F8916970050DEDF /* UIViewExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24CEAA9A1F8916970050DEDF /* UIViewExtensions.swift */; };
		24CEAA9D1F8917D60050DEDF /* ReviewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24CEAA9C1F8917D60050DEDF /* ReviewController.swift */; };
		24D1845924B336B60017E4F4 /* TitleButton.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24D1845824B336B60017E4F4 /* TitleButton.swift */; };
		24D1845D24B35E7E0017E4F4 /* FeedCollectionViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24D1845C24B35E7E0017E4F4 /* FeedCollectionViewController.swift */; };
		24D1845F24B374780017E4F4 /* FeedViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24D1845E24B374780017E4F4 /* FeedViewModel.swift */; };
		24D1846124B396BD0017E4F4 /* UIViewController+Deselection.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24D1846024B396BD0017E4F4 /* UIViewController+Deselection.swift */; };
		24D330CA248BAC4C00A2AA10 /* HackersKit+Authentication.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24D330C9248BAC4C00A2AA10 /* HackersKit+Authentication.swift */; };
		24D6B8CA1C1EDBFC00618422 /* AppTheme.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24D6B8C91C1EDBFC00618422 /* AppTheme.swift */; };
		24D811A51FF90A58000951C3 /* TouchableTextView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24D811A41FF90A58000951C3 /* TouchableTextView.swift */; };
		24DFD28C19436E51007F61E7 /* CommentsViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24DFD28B19436E51007F61E7 /* CommentsViewController.swift */; };
		24E390AA2542D7A9000DA7A8 /* UIViewControllerExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24E390A92542D7A9000DA7A8 /* UIViewControllerExtensions.swift */; };
		24E4F26119B4DA9900574B52 /* CommentDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24E4F26019B4DA9900574B52 /* CommentDelegate.swift */; };
		24EF5BF41C393D110012AA8A /* LaunchStoryboard.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 24EF5BF31C393D110012AA8A /* LaunchStoryboard.storyboard */; };
		24F39F8918AFB1150055F8DC /* Foundation.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 24F39F8818AFB1150055F8DC /* Foundation.framework */; };
		24F39F8B18AFB1150055F8DC /* CoreGraphics.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 24F39F8A18AFB1150055F8DC /* CoreGraphics.framework */; };
		24F39F8D18AFB1150055F8DC /* UIKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 24F39F8C18AFB1150055F8DC /* UIKit.framework */; };
		24F39F9B18AFB1150055F8DC /* Images.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 24F39F9A18AFB1150055F8DC /* Images.xcassets */; };
		24FF021D226C9BEA002EF8DD /* SwinjectStoryboardExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24FF021C226C9BEA002EF8DD /* SwinjectStoryboardExtensions.swift */; };
		24FFFF5A23362C7800D009EF /* HackersKitExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 24FFFF5923362C7800D009EF /* HackersKitExtensions.swift */; };
		288B0D6127D9C12BD8FE062F /* Pods_HackersUITests.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 5AB8A7BD5582ABED8906DB36 /* Pods_HackersUITests.framework */; };
		698FE7B523EE5FE300F5828C /* Colors.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 698FE7B423EE5FE300F5828C /* Colors.xcassets */; };
		DF68752992A90A126C292CD9 /* Pods_Hackers.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = F0376FCAAF4C3EBA38572A82 /* Pods_Hackers.framework */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		2419D02A24898DF700740184 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 24F39F7D18AFB1150055F8DC /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 2419D01F24898DF700740184;
			remoteInfo = HackersActionExtension;
		};
		245345F122466EA8001AF1CE /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 24F39F7D18AFB1150055F8DC /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 24F39F8418AFB1150055F8DC;
			remoteInfo = Hackers;
		};
		24C10BFB24866D3F00B93F68 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 24F39F7D18AFB1150055F8DC /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 24C10BF224866D3F00B93F68;
			remoteInfo = HackersShareExtension;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXCopyFilesBuildPhase section */
		24C10C0124866D3F00B93F68 /* Embed App Extensions */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 8;
			dstPath = "";
			dstSubfolderSpec = 13;
			files = (
				2419D02C24898DF700740184 /* HackersActionExtension.appex in Embed App Extensions */,
				24C10BFD24866D3F00B93F68 /* HackersShareExtension.appex in Embed App Extensions */,
			);
			name = "Embed App Extensions";
			runOnlyForDeploymentPostprocessing = 1;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		240C5BDF18D267C70011177A /* Icons.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Icons.xcassets; sourceTree = "<group>"; };
		241387A51945A6E100D71220 /* README.md */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = net.daringfireball.markdown; path = README.md; sourceTree = "<group>"; };
		24191F8C1944C991003C0D98 /* CommentsController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = CommentsController.swift; sourceTree = "<group>"; };
		2419D02024898DF700740184 /* HackersActionExtension.appex */ = {isa = PBXFileReference; explicitFileType = "wrapper.app-extension"; includeInIndex = 0; path = HackersActionExtension.appex; sourceTree = BUILT_PRODUCTS_DIR; };
		2419D02224898DF700740184 /* Media.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Media.xcassets; sourceTree = "<group>"; };
		2419D02424898DF700740184 /* ActionViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ActionViewController.swift; sourceTree = "<group>"; };
		2419D02724898DF700740184 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/MainInterface.storyboard; sourceTree = "<group>"; };
		2419D02924898DF700740184 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		2419D035248AAFDF00740184 /* OpenInViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = OpenInViewController.swift; sourceTree = "<group>"; };
		241C32DD24950C05000876DC /* PostTitleView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = PostTitleView.swift; sourceTree = "<group>"; };
		241E4036253B103100E3ED18 /* Hackers.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = Hackers.entitlements; sourceTree = "<group>"; };
		243271941F95EDA9008196DB /* StringExtensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StringExtensions.swift; sourceTree = "<group>"; };
		245345EC22466EA8001AF1CE /* HackersUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = HackersUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		245345EE22466EA8001AF1CE /* HackersUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HackersUITests.swift; sourceTree = "<group>"; };
		245345F022466EA8001AF1CE /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		245345F722466F71001AF1CE /* SnapshotHelper.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SnapshotHelper.swift; sourceTree = "<group>"; };
		245345F822466F71001AF1CE /* Snapfile */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text; path = Snapfile; sourceTree = "<group>"; };
		245345FC2246732C001AF1CE /* Fastfile */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text; path = Fastfile; sourceTree = "<group>"; };
		245345FD2246732C001AF1CE /* Appfile */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text; path = Appfile; sourceTree = "<group>"; };
		2454B9031F655426005A98C7 /* EmptyViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = EmptyViewController.swift; sourceTree = "<group>"; };
		2457F04424696EB000F3E7A4 /* HackersKit.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HackersKit.swift; sourceTree = "<group>"; };
		245DCAAF1CD4DA2A00152AA3 /* SFSafariViewControllerExtensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SFSafariViewControllerExtensions.swift; sourceTree = "<group>"; };
		24628BAC21E6897700BDEEF9 /* AppFont.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AppFont.swift; sourceTree = "<group>"; };
		2464D212209DEFB100C7F8FC /* UINavigationControllerExtensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UINavigationControllerExtensions.swift; sourceTree = "<group>"; };
		2464D21A209E1FA100C7F8FC /* SettingsViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SettingsViewController.swift; sourceTree = "<group>"; };
		2464D21C209E208800C7F8FC /* SettingsTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SettingsTableViewCell.swift; sourceTree = "<group>"; };
		2464D21E209E27FE00C7F8FC /* UserDefaultsExtensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UserDefaultsExtensions.swift; sourceTree = "<group>"; };
		2477BDE4227D9D8200771FE2 /* SessionService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SessionService.swift; sourceTree = "<group>"; };
		2479E11422B69CF100D9F1A4 /* ThumbnailImageView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ThumbnailImageView.swift; sourceTree = "<group>"; };
		247C9C78248BC35000AF4E60 /* NavigationService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NavigationService.swift; sourceTree = "<group>"; };
		2481BD5A247C0FFB0088CA2B /* Models.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Models.swift; sourceTree = "<group>"; };
		2481BD5C247C10330088CA2B /* HackersKit+PostsList.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "HackersKit+PostsList.swift"; sourceTree = "<group>"; };
		2481BD5E247C103B0088CA2B /* HackersKit+Post.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "HackersKit+Post.swift"; sourceTree = "<group>"; };
		2481BD60247C11AE0088CA2B /* HackersKit+CommentVoting.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "HackersKit+CommentVoting.swift"; sourceTree = "<group>"; };
		2481BD62247C12540088CA2B /* HNScraperShim.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HNScraperShim.swift; sourceTree = "<group>"; };
		2481BD64247C1B380088CA2B /* HackersKit+PostVoting.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "HackersKit+PostVoting.swift"; sourceTree = "<group>"; };
		24993C54229C2BD400AF1891 /* AuthenticationUIService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AuthenticationUIService.swift; sourceTree = "<group>"; };
		24993C56229C768700AF1891 /* AuthenticationBulletinPage.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AuthenticationBulletinPage.swift; sourceTree = "<group>"; };
		249A7E31194374550059C079 /* CommentTableViewCell.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = CommentTableViewCell.swift; sourceTree = "<group>"; };
		249B8F8222A2A48B002A9EC5 /* NotificationToken.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NotificationToken.swift; sourceTree = "<group>"; };
		249B8F8422A2A519002A9EC5 /* NotificationCenterExtensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NotificationCenterExtensions.swift; sourceTree = "<group>"; };
		249B8F8622A2B740002A9EC5 /* SwipeCellKitActions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SwipeCellKitActions.swift; sourceTree = "<group>"; };
		249B8F8922A2C9B3002A9EC5 /* TableViewBackgroundView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TableViewBackgroundView.swift; sourceTree = "<group>"; };
		249B8F8B22A2CA6F002A9EC5 /* TableViewBackgroundView.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = TableViewBackgroundView.xib; sourceTree = "<group>"; };
		24A13DC22621EFD6002235A8 /* ItemCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = ItemCell.xib; sourceTree = "<group>"; };
		24A13DC82621F36F002235A8 /* ItemCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ItemCell.swift; sourceTree = "<group>"; };
		24ADA7E2206FAF2200C143F4 /* Main.storyboard */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; path = Main.storyboard; sourceTree = "<group>"; };
		24B1A6A422B508A40051EAFD /* OnboardingService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = OnboardingService.swift; sourceTree = "<group>"; };
		24B1A6A622B521470051EAFD /* BounceExpansion.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BounceExpansion.swift; sourceTree = "<group>"; };
		24B982DC22BE65E2000D8913 /* SettingsView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SettingsView.swift; sourceTree = "<group>"; };
		24B982DE22BE65FF000D8913 /* SettingsStore.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SettingsStore.swift; sourceTree = "<group>"; };
		24C10BF324866D3F00B93F68 /* HackersShareExtension.appex */ = {isa = PBXFileReference; explicitFileType = "wrapper.app-extension"; includeInIndex = 0; path = HackersShareExtension.appex; sourceTree = BUILT_PRODUCTS_DIR; };
		24C10BF524866D3F00B93F68 /* ShareViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ShareViewController.swift; sourceTree = "<group>"; };
		24C10BF824866D3F00B93F68 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/MainInterface.storyboard; sourceTree = "<group>"; };
		24C10BFA24866D3F00B93F68 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		24C10C072486DB0700B93F68 /* HtmlParser.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HtmlParser.swift; sourceTree = "<group>"; };
		24C20D381A7E42D5005B759B /* MainSplitViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = MainSplitViewController.swift; sourceTree = "<group>"; };
		24CC0DB6193D1935005AD417 /* Hackers2-Bridging-Header.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "Hackers2-Bridging-Header.h"; sourceTree = "<group>"; };
		24CE5FEC19434BDC009D2677 /* AppDelegate.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		24CE5FF719435A90009D2677 /* PostCell.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = PostCell.swift; sourceTree = "<group>"; };
		24CEAA9A1F8916970050DEDF /* UIViewExtensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UIViewExtensions.swift; sourceTree = "<group>"; };
		24CEAA9C1F8917D60050DEDF /* ReviewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ReviewController.swift; sourceTree = "<group>"; };
		24D1845824B336B60017E4F4 /* TitleButton.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TitleButton.swift; sourceTree = "<group>"; };
		24D1845C24B35E7E0017E4F4 /* FeedCollectionViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FeedCollectionViewController.swift; sourceTree = "<group>"; };
		24D1845E24B374780017E4F4 /* FeedViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FeedViewModel.swift; sourceTree = "<group>"; };
		24D1846024B396BD0017E4F4 /* UIViewController+Deselection.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIViewController+Deselection.swift"; sourceTree = "<group>"; };
		24D330C9248BAC4C00A2AA10 /* HackersKit+Authentication.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "HackersKit+Authentication.swift"; sourceTree = "<group>"; };
		24D6B8C91C1EDBFC00618422 /* AppTheme.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AppTheme.swift; sourceTree = "<group>"; };
		24D811A41FF90A58000951C3 /* TouchableTextView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TouchableTextView.swift; sourceTree = "<group>"; };
		24DFD28B19436E51007F61E7 /* CommentsViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = CommentsViewController.swift; sourceTree = "<group>"; };
		24E390A92542D7A9000DA7A8 /* UIViewControllerExtensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UIViewControllerExtensions.swift; sourceTree = "<group>"; };
		24E4F26019B4DA9900574B52 /* CommentDelegate.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = CommentDelegate.swift; sourceTree = "<group>"; };
		24EF5BF31C393D110012AA8A /* LaunchStoryboard.storyboard */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = file.storyboard; path = LaunchStoryboard.storyboard; sourceTree = "<group>"; };
		24F39F8518AFB1150055F8DC /* Hackers.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Hackers.app; sourceTree = BUILT_PRODUCTS_DIR; };
		24F39F8818AFB1150055F8DC /* Foundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Foundation.framework; path = System/Library/Frameworks/Foundation.framework; sourceTree = SDKROOT; };
		24F39F8A18AFB1150055F8DC /* CoreGraphics.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreGraphics.framework; path = System/Library/Frameworks/CoreGraphics.framework; sourceTree = SDKROOT; };
		24F39F8C18AFB1150055F8DC /* UIKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = UIKit.framework; path = System/Library/Frameworks/UIKit.framework; sourceTree = SDKROOT; };
		24F39F9018AFB1150055F8DC /* Hackers-Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = "Hackers-Info.plist"; sourceTree = "<group>"; };
		24F39F9A18AFB1150055F8DC /* Images.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Images.xcassets; sourceTree = "<group>"; };
		24F644FD24951D6400869504 /* Scanfile */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text; path = Scanfile; sourceTree = "<group>"; };
		24FF021C226C9BEA002EF8DD /* SwinjectStoryboardExtensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SwinjectStoryboardExtensions.swift; sourceTree = "<group>"; };
		24FFFF5923362C7800D009EF /* HackersKitExtensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HackersKitExtensions.swift; sourceTree = "<group>"; };
		5AB8A7BD5582ABED8906DB36 /* Pods_HackersUITests.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_HackersUITests.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		5B9C6ECB6751D2AF6D93515D /* Pods-Hackers.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Hackers.debug.xcconfig"; path = "Pods/Target Support Files/Pods-Hackers/Pods-Hackers.debug.xcconfig"; sourceTree = "<group>"; };
		5C36BEF23DF27134A4F29678 /* Pods-HackersUITests.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-HackersUITests.release.xcconfig"; path = "Pods/Target Support Files/Pods-HackersUITests/Pods-HackersUITests.release.xcconfig"; sourceTree = "<group>"; };
		5E579CFC7EF20C95FB344A2E /* Pods-HackersUITests.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-HackersUITests.debug.xcconfig"; path = "Pods/Target Support Files/Pods-HackersUITests/Pods-HackersUITests.debug.xcconfig"; sourceTree = "<group>"; };
		698FE7B423EE5FE300F5828C /* Colors.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Colors.xcassets; sourceTree = "<group>"; };
		9D41F6A856DA1B6671301AAD /* Pods-Hackers.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Hackers.release.xcconfig"; path = "Pods/Target Support Files/Pods-Hackers/Pods-Hackers.release.xcconfig"; sourceTree = "<group>"; };
		F0376FCAAF4C3EBA38572A82 /* Pods_Hackers.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_Hackers.framework; sourceTree = BUILT_PRODUCTS_DIR; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		2419D01D24898DF700740184 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		245345E922466EA8001AF1CE /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				288B0D6127D9C12BD8FE062F /* Pods_HackersUITests.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		24C10BF024866D3F00B93F68 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		24F39F8218AFB1150055F8DC /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				24F39F8B18AFB1150055F8DC /* CoreGraphics.framework in Frameworks */,
				24F39F8D18AFB1150055F8DC /* UIKit.framework in Frameworks */,
				24F39F8918AFB1150055F8DC /* Foundation.framework in Frameworks */,
				DF68752992A90A126C292CD9 /* Pods_Hackers.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		2419D02124898DF700740184 /* HackersActionExtension */ = {
			isa = PBXGroup;
			children = (
				2419D02224898DF700740184 /* Media.xcassets */,
				2419D02424898DF700740184 /* ActionViewController.swift */,
				2419D02624898DF700740184 /* MainInterface.storyboard */,
				2419D02924898DF700740184 /* Info.plist */,
			);
			path = HackersActionExtension;
			sourceTree = "<group>";
		};
		2419D032248AAED500740184 /* Extensions */ = {
			isa = PBXGroup;
			children = (
				2419D035248AAFDF00740184 /* OpenInViewController.swift */,
				24C10BF424866D3F00B93F68 /* HackersShareExtension */,
				2419D02124898DF700740184 /* HackersActionExtension */,
			);
			path = Extensions;
			sourceTree = "<group>";
		};
		241C32DB24950AB3000876DC /* Tests */ = {
			isa = PBXGroup;
			children = (
				245345ED22466EA8001AF1CE /* HackersUITests */,
			);
			path = Tests;
			sourceTree = "<group>";
		};
		241C32DC24950AF3000876DC /* Shared Frameworks */ = {
			isa = PBXGroup;
			children = (
				2457F04324696E9400F3E7A4 /* HackersKit */,
			);
			path = "Shared Frameworks";
			sourceTree = "<group>";
		};
		245345ED22466EA8001AF1CE /* HackersUITests */ = {
			isa = PBXGroup;
			children = (
				245345EE22466EA8001AF1CE /* HackersUITests.swift */,
				245345F022466EA8001AF1CE /* Info.plist */,
			);
			path = HackersUITests;
			sourceTree = "<group>";
		};
		245345F622466F71001AF1CE /* fastlane */ = {
			isa = PBXGroup;
			children = (
				245345FD2246732C001AF1CE /* Appfile */,
				245345FC2246732C001AF1CE /* Fastfile */,
				24F644FD24951D6400869504 /* Scanfile */,
				245345F822466F71001AF1CE /* Snapfile */,
				245345F722466F71001AF1CE /* SnapshotHelper.swift */,
			);
			path = fastlane;
			sourceTree = "<group>";
		};
		2457F04324696E9400F3E7A4 /* HackersKit */ = {
			isa = PBXGroup;
			children = (
				24D330CB248BBD1A00A2AA10 /* Models */,
				2457F04424696EB000F3E7A4 /* HackersKit.swift */,
				2481BD5C247C10330088CA2B /* HackersKit+PostsList.swift */,
				2481BD5E247C103B0088CA2B /* HackersKit+Post.swift */,
				2481BD64247C1B380088CA2B /* HackersKit+PostVoting.swift */,
				2481BD60247C11AE0088CA2B /* HackersKit+CommentVoting.swift */,
				24D330C9248BAC4C00A2AA10 /* HackersKit+Authentication.swift */,
				24C10C072486DB0700B93F68 /* HtmlParser.swift */,
				2481BD62247C12540088CA2B /* HNScraperShim.swift */,
			);
			path = HackersKit;
			sourceTree = "<group>";
		};
		2464D200209DD06A00C7F8FC /* Themes */ = {
			isa = PBXGroup;
			children = (
				24D6B8C91C1EDBFC00618422 /* AppTheme.swift */,
				24628BAC21E6897700BDEEF9 /* AppFont.swift */,
			);
			path = Themes;
			sourceTree = "<group>";
		};
		2464D209209DD8AE00C7F8FC /* Extensions */ = {
			isa = PBXGroup;
			children = (
				24FF021C226C9BEA002EF8DD /* SwinjectStoryboardExtensions.swift */,
				24CEAA9A1F8916970050DEDF /* UIViewExtensions.swift */,
				2464D212209DEFB100C7F8FC /* UINavigationControllerExtensions.swift */,
				243271941F95EDA9008196DB /* StringExtensions.swift */,
				245DCAAF1CD4DA2A00152AA3 /* SFSafariViewControllerExtensions.swift */,
				249B8F8422A2A519002A9EC5 /* NotificationCenterExtensions.swift */,
				24FFFF5923362C7800D009EF /* HackersKitExtensions.swift */,
				24D1846024B396BD0017E4F4 /* UIViewController+Deselection.swift */,
				24E390A92542D7A9000DA7A8 /* UIViewControllerExtensions.swift */,
			);
			path = Extensions;
			sourceTree = "<group>";
		};
		2464D219209E1F8A00C7F8FC /* Settings */ = {
			isa = PBXGroup;
			children = (
				24B982DB22BE6575000D8913 /* Settings-SwiftUI */,
				2464D21A209E1FA100C7F8FC /* SettingsViewController.swift */,
				2464D21C209E208800C7F8FC /* SettingsTableViewCell.swift */,
				2464D21E209E27FE00C7F8FC /* UserDefaultsExtensions.swift */,
			);
			path = Settings;
			sourceTree = "<group>";
		};
		24993C58229C76EA00AF1891 /* AuthenticationUIService */ = {
			isa = PBXGroup;
			children = (
				24993C54229C2BD400AF1891 /* AuthenticationUIService.swift */,
				24993C56229C768700AF1891 /* AuthenticationBulletinPage.swift */,
			);
			path = AuthenticationUIService;
			sourceTree = "<group>";
		};
		249B8F8122A2A474002A9EC5 /* Shared */ = {
			isa = PBXGroup;
			children = (
				249B8F8822A2C870002A9EC5 /* TableViewStates */,
				249B8F8222A2A48B002A9EC5 /* NotificationToken.swift */,
				249B8F8622A2B740002A9EC5 /* SwipeCellKitActions.swift */,
				24CEAA9C1F8917D60050DEDF /* ReviewController.swift */,
				241C32DD24950C05000876DC /* PostTitleView.swift */,
				24B1A6A622B521470051EAFD /* BounceExpansion.swift */,
				2479E11422B69CF100D9F1A4 /* ThumbnailImageView.swift */,
				24D1845824B336B60017E4F4 /* TitleButton.swift */,
			);
			path = Shared;
			sourceTree = "<group>";
		};
		249B8F8822A2C870002A9EC5 /* TableViewStates */ = {
			isa = PBXGroup;
			children = (
				249B8F8922A2C9B3002A9EC5 /* TableViewBackgroundView.swift */,
				249B8F8B22A2CA6F002A9EC5 /* TableViewBackgroundView.xib */,
			);
			path = TableViewStates;
			sourceTree = "<group>";
		};
		24B982DB22BE6575000D8913 /* Settings-SwiftUI */ = {
			isa = PBXGroup;
			children = (
				24B982DC22BE65E2000D8913 /* SettingsView.swift */,
				24B982DE22BE65FF000D8913 /* SettingsStore.swift */,
			);
			path = "Settings-SwiftUI";
			sourceTree = "<group>";
		};
		24C10BF424866D3F00B93F68 /* HackersShareExtension */ = {
			isa = PBXGroup;
			children = (
				24C10BF524866D3F00B93F68 /* ShareViewController.swift */,
				24C10BF724866D3F00B93F68 /* MainInterface.storyboard */,
				24C10BFA24866D3F00B93F68 /* Info.plist */,
			);
			path = HackersShareExtension;
			sourceTree = "<group>";
		};
		24CE5FEE19434DC0009D2677 /* Feed */ = {
			isa = PBXGroup;
			children = (
				24D1845C24B35E7E0017E4F4 /* FeedCollectionViewController.swift */,
				24D1845E24B374780017E4F4 /* FeedViewModel.swift */,
				24A13DC22621EFD6002235A8 /* ItemCell.xib */,
				24A13DC82621F36F002235A8 /* ItemCell.swift */,
			);
			path = Feed;
			sourceTree = "<group>";
		};
		24CE5FEF19434DCB009D2677 /* Comments */ = {
			isa = PBXGroup;
			children = (
				24DFD28B19436E51007F61E7 /* CommentsViewController.swift */,
				249A7E31194374550059C079 /* CommentTableViewCell.swift */,
				24E4F26019B4DA9900574B52 /* CommentDelegate.swift */,
				24CE5FF719435A90009D2677 /* PostCell.swift */,
				2454B9031F655426005A98C7 /* EmptyViewController.swift */,
				24D811A41FF90A58000951C3 /* TouchableTextView.swift */,
				24191F8C1944C991003C0D98 /* CommentsController.swift */,
			);
			path = Comments;
			sourceTree = "<group>";
		};
		24CE5FF119434E0B009D2677 /* Assets */ = {
			isa = PBXGroup;
			children = (
				698FE7B423EE5FE300F5828C /* Colors.xcassets */,
				24F39F9A18AFB1150055F8DC /* Images.xcassets */,
				240C5BDF18D267C70011177A /* Icons.xcassets */,
			);
			path = Assets;
			sourceTree = "<group>";
		};
		24D330CB248BBD1A00A2AA10 /* Models */ = {
			isa = PBXGroup;
			children = (
				2481BD5A247C0FFB0088CA2B /* Models.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		24F39F7C18AFB1150055F8DC = {
			isa = PBXGroup;
			children = (
				24F39F8E18AFB1150055F8DC /* App */,
				24CE5FF119434E0B009D2677 /* Assets */,
				241C32DB24950AB3000876DC /* Tests */,
				2419D032248AAED500740184 /* Extensions */,
				241C32DC24950AF3000876DC /* Shared Frameworks */,
				24F39F8718AFB1150055F8DC /* Frameworks */,
				24F39F8618AFB1150055F8DC /* Products */,
				241387A51945A6E100D71220 /* README.md */,
				245345F622466F71001AF1CE /* fastlane */,
				B3F2CA75243DF4B690830D93 /* Pods */,
			);
			sourceTree = "<group>";
		};
		24F39F8618AFB1150055F8DC /* Products */ = {
			isa = PBXGroup;
			children = (
				24F39F8518AFB1150055F8DC /* Hackers.app */,
				245345EC22466EA8001AF1CE /* HackersUITests.xctest */,
				24C10BF324866D3F00B93F68 /* HackersShareExtension.appex */,
				2419D02024898DF700740184 /* HackersActionExtension.appex */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		24F39F8718AFB1150055F8DC /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				24F39F8818AFB1150055F8DC /* Foundation.framework */,
				24F39F8A18AFB1150055F8DC /* CoreGraphics.framework */,
				24F39F8C18AFB1150055F8DC /* UIKit.framework */,
				F0376FCAAF4C3EBA38572A82 /* Pods_Hackers.framework */,
				5AB8A7BD5582ABED8906DB36 /* Pods_HackersUITests.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		24F39F8E18AFB1150055F8DC /* App */ = {
			isa = PBXGroup;
			children = (
				24CE5FEC19434BDC009D2677 /* AppDelegate.swift */,
				24ADA7E2206FAF2200C143F4 /* Main.storyboard */,
				24EF5BF31C393D110012AA8A /* LaunchStoryboard.storyboard */,
				24C20D381A7E42D5005B759B /* MainSplitViewController.swift */,
				24CE5FEE19434DC0009D2677 /* Feed */,
				24CE5FEF19434DCB009D2677 /* Comments */,
				2464D219209E1F8A00C7F8FC /* Settings */,
				24FF0219226C99B1002EF8DD /* Services */,
				2464D200209DD06A00C7F8FC /* Themes */,
				2464D209209DD8AE00C7F8FC /* Extensions */,
				249B8F8122A2A474002A9EC5 /* Shared */,
				24F39F8F18AFB1150055F8DC /* Supporting Files */,
			);
			path = App;
			sourceTree = "<group>";
		};
		24F39F8F18AFB1150055F8DC /* Supporting Files */ = {
			isa = PBXGroup;
			children = (
				24F39F9018AFB1150055F8DC /* Hackers-Info.plist */,
				24CC0DB6193D1935005AD417 /* Hackers2-Bridging-Header.h */,
				241E4036253B103100E3ED18 /* Hackers.entitlements */,
			);
			path = "Supporting Files";
			sourceTree = "<group>";
		};
		24FF0219226C99B1002EF8DD /* Services */ = {
			isa = PBXGroup;
			children = (
				24993C58229C76EA00AF1891 /* AuthenticationUIService */,
				2477BDE4227D9D8200771FE2 /* SessionService.swift */,
				24B1A6A422B508A40051EAFD /* OnboardingService.swift */,
				247C9C78248BC35000AF4E60 /* NavigationService.swift */,
			);
			path = Services;
			sourceTree = "<group>";
		};
		B3F2CA75243DF4B690830D93 /* Pods */ = {
			isa = PBXGroup;
			children = (
				5B9C6ECB6751D2AF6D93515D /* Pods-Hackers.debug.xcconfig */,
				9D41F6A856DA1B6671301AAD /* Pods-Hackers.release.xcconfig */,
				5E579CFC7EF20C95FB344A2E /* Pods-HackersUITests.debug.xcconfig */,
				5C36BEF23DF27134A4F29678 /* Pods-HackersUITests.release.xcconfig */,
			);
			name = Pods;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		2419D01F24898DF700740184 /* HackersActionExtension */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 2419D02F24898DF700740184 /* Build configuration list for PBXNativeTarget "HackersActionExtension" */;
			buildPhases = (
				2419D03E248AC2CA00740184 /* Update Version Numbers */,
				2419D01C24898DF700740184 /* Sources */,
				2419D01D24898DF700740184 /* Frameworks */,
				2419D01E24898DF700740184 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = HackersActionExtension;
			productName = HackersActionExtension;
			productReference = 2419D02024898DF700740184 /* HackersActionExtension.appex */;
			productType = "com.apple.product-type.app-extension";
		};
		245345EB22466EA8001AF1CE /* HackersUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 245345F522466EA8001AF1CE /* Build configuration list for PBXNativeTarget "HackersUITests" */;
			buildPhases = (
				3FC4535AB54E5CE3A20A380A /* [CP] Check Pods Manifest.lock */,
				245345E822466EA8001AF1CE /* Sources */,
				245345E922466EA8001AF1CE /* Frameworks */,
				245345EA22466EA8001AF1CE /* Resources */,
				51DB19C1140B8F774E90D678 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
				245345F222466EA8001AF1CE /* PBXTargetDependency */,
			);
			name = HackersUITests;
			productName = HackersUITests;
			productReference = 245345EC22466EA8001AF1CE /* HackersUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
		24C10BF224866D3F00B93F68 /* HackersShareExtension */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 24C10BFE24866D3F00B93F68 /* Build configuration list for PBXNativeTarget "HackersShareExtension" */;
			buildPhases = (
				2419D03D248AC2A300740184 /* Update Version Numbers */,
				24C10BEF24866D3F00B93F68 /* Sources */,
				24C10BF024866D3F00B93F68 /* Frameworks */,
				24C10BF124866D3F00B93F68 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = HackersShareExtension;
			productName = HackersShareExtension;
			productReference = 24C10BF324866D3F00B93F68 /* HackersShareExtension.appex */;
			productType = "com.apple.product-type.app-extension";
		};
		24F39F8418AFB1150055F8DC /* Hackers */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 24F39FB118AFB1150055F8DC /* Build configuration list for PBXNativeTarget "Hackers" */;
			buildPhases = (
				32F4D363AD3C2A95650B70E3 /* [CP] Check Pods Manifest.lock */,
				24F39F8118AFB1150055F8DC /* Sources */,
				24F39F8218AFB1150055F8DC /* Frameworks */,
				24F39F8318AFB1150055F8DC /* Resources */,
				46C1D99CBFD349F8D40A6170 /* [CP] Embed Pods Frameworks */,
				244DE6BB1E599EB6005B441E /* TODO as Warnings */,
				249B8F8022A29B2E002A9EC5 /* ShellScript */,
				24C10C0124866D3F00B93F68 /* Embed App Extensions */,
			);
			buildRules = (
			);
			dependencies = (
				24C10BFC24866D3F00B93F68 /* PBXTargetDependency */,
				2419D02B24898DF700740184 /* PBXTargetDependency */,
			);
			name = Hackers;
			productName = Hackers2;
			productReference = 24F39F8518AFB1150055F8DC /* Hackers.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		24F39F7D18AFB1150055F8DC /* Project object */ = {
			isa = PBXProject;
			attributes = {
				CLASSPREFIX = GU;
				LastSwiftUpdateCheck = 1150;
				LastUpgradeCheck = 1200;
				ORGANIZATIONNAME = "Glass Umbrella";
				TargetAttributes = {
					2419D01F24898DF700740184 = {
						CreatedOnToolsVersion = 11.5;
						DevelopmentTeam = N7SYAN8PX8;
						ProvisioningStyle = Manual;
					};
					245345EB22466EA8001AF1CE = {
						CreatedOnToolsVersion = 10.1;
						DevelopmentTeam = N7SYAN8PX8;
						LastSwiftMigration = 1020;
						ProvisioningStyle = Automatic;
						TestTargetID = 24F39F8418AFB1150055F8DC;
					};
					24C10BF224866D3F00B93F68 = {
						CreatedOnToolsVersion = 11.5;
						DevelopmentTeam = N7SYAN8PX8;
						ProvisioningStyle = Manual;
					};
					24F39F8418AFB1150055F8DC = {
						DevelopmentTeam = N7SYAN8PX8;
						LastSwiftMigration = 1020;
						ProvisioningStyle = Manual;
					};
				};
			};
			buildConfigurationList = 24F39F8018AFB1150055F8DC /* Build configuration list for PBXProject "Hackers" */;
			compatibilityVersion = "Xcode 3.2";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 24F39F7C18AFB1150055F8DC;
			productRefGroup = 24F39F8618AFB1150055F8DC /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				24F39F8418AFB1150055F8DC /* Hackers */,
				245345EB22466EA8001AF1CE /* HackersUITests */,
				24C10BF224866D3F00B93F68 /* HackersShareExtension */,
				2419D01F24898DF700740184 /* HackersActionExtension */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		2419D01E24898DF700740184 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2419D02324898DF700740184 /* Media.xcassets in Resources */,
				2419D02824898DF700740184 /* MainInterface.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		245345EA22466EA8001AF1CE /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		24C10BF124866D3F00B93F68 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				24C10BF924866D3F00B93F68 /* MainInterface.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		24F39F8318AFB1150055F8DC /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				24F39F9B18AFB1150055F8DC /* Images.xcassets in Resources */,
				249B8F8C22A2CA6F002A9EC5 /* TableViewBackgroundView.xib in Resources */,
				240C5BE018D267C70011177A /* Icons.xcassets in Resources */,
				698FE7B523EE5FE300F5828C /* Colors.xcassets in Resources */,
				24A13DC32621EFD6002235A8 /* ItemCell.xib in Resources */,
				24ADA7E3206FAF2200C143F4 /* Main.storyboard in Resources */,
				24EF5BF41C393D110012AA8A /* LaunchStoryboard.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		2419D03D248AC2A300740184 /* Update Version Numbers */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
			);
			name = "Update Version Numbers";
			outputFileListPaths = (
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "buildNumber=$(xcodebuild -showBuildSettings -project Hackers.xcodeproj | pcregrep -o1 \"PROJECT_VERSION = ([0-9a-f\\-]+)\")\nmarketingVersion=$(xcodebuild -showBuildSettings -project Hackers.xcodeproj | pcregrep -o1 \"MARKETING_VERSION = ([0-9a-f\\-.]+)\")\n\n/usr/libexec/PlistBuddy -c \"Set :CFBundleVersion $buildNumber\" \"$SRCROOT/Extensions/HackersShareExtension/Info.plist\"\n/usr/libexec/PlistBuddy -c \"Set :CFBundleShortVersionString $marketingVersion\" \"$SRCROOT/Extensions/HackersShareExtension/Info.plist\"\n";
		};
		2419D03E248AC2CA00740184 /* Update Version Numbers */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
			);
			name = "Update Version Numbers";
			outputFileListPaths = (
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "buildNumber=$(xcodebuild -showBuildSettings -project Hackers.xcodeproj | pcregrep -o1 \"PROJECT_VERSION = ([0-9a-f\\-]+)\")\nmarketingVersion=$(xcodebuild -showBuildSettings -project Hackers.xcodeproj | pcregrep -o1 \"MARKETING_VERSION = ([0-9a-f\\-.]+)\")\n\n/usr/libexec/PlistBuddy -c \"Set :CFBundleVersion $buildNumber\" \"$SRCROOT/Extensions/HackersActionExtension/Info.plist\"\n/usr/libexec/PlistBuddy -c \"Set :CFBundleShortVersionString $marketingVersion\" \"$SRCROOT/Extensions/HackersActionExtension/Info.plist\"\n";
		};
		244DE6BB1E599EB6005B441E /* TODO as Warnings */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "TODO as Warnings";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "KEYWORDS=\"TODO:|FIXME:|\\?\\?\\?:|\\!\\!\\!:\"\nfind \".\" \\( -name \"*.h\" -or -name \"*.m\" -or -name \"*.swift\" \\) -not -path \"./Pods/*\" -print0 | \n  xargs -0 egrep --with-filename --line-number --only-matching \"($KEYWORDS).*\\$\" | \n  perl -p -e \"s/($KEYWORDS)/ warning: \\$1/\"\n";
		};
		249B8F8022A29B2E002A9EC5 /* ShellScript */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
			);
			outputFileListPaths = (
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/SwiftLint/swiftlint\"\n";
		};
		32F4D363AD3C2A95650B70E3 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-Hackers-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		3FC4535AB54E5CE3A20A380A /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-HackersUITests-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		46C1D99CBFD349F8D40A6170 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Hackers/Pods-Hackers-frameworks.sh",
				"${BUILT_PRODUCTS_DIR}/BulletinBoard/BLTNBoard.framework",
				"${BUILT_PRODUCTS_DIR}/HNScraper/HNScraper.framework",
				"${BUILT_PRODUCTS_DIR}/Loaf/Loaf.framework",
				"${BUILT_PRODUCTS_DIR}/Nuke/Nuke.framework",
				"${BUILT_PRODUCTS_DIR}/PromiseKit/PromiseKit.framework",
				"${BUILT_PRODUCTS_DIR}/SwiftSoup/SwiftSoup.framework",
				"${BUILT_PRODUCTS_DIR}/Swinject/Swinject.framework",
				"${BUILT_PRODUCTS_DIR}/SwinjectStoryboard/SwinjectStoryboard.framework",
				"${BUILT_PRODUCTS_DIR}/SwipeCellKit/SwipeCellKit.framework",
				"${BUILT_PRODUCTS_DIR}/WhatsNewKit/WhatsNewKit.framework",
			);
			name = "[CP] Embed Pods Frameworks";
			outputPaths = (
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/BLTNBoard.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/HNScraper.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/Loaf.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/Nuke.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/PromiseKit.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/SwiftSoup.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/Swinject.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/SwinjectStoryboard.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/SwipeCellKit.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/WhatsNewKit.framework",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-Hackers/Pods-Hackers-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		51DB19C1140B8F774E90D678 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-HackersUITests/Pods-HackersUITests-frameworks.sh",
				"${BUILT_PRODUCTS_DIR}/DeviceKit/DeviceKit.framework",
			);
			name = "[CP] Embed Pods Frameworks";
			outputPaths = (
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/DeviceKit.framework",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-HackersUITests/Pods-HackersUITests-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		2419D01C24898DF700740184 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2419D038248AB03700740184 /* OpenInViewController.swift in Sources */,
				2419D02524898DF700740184 /* ActionViewController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		245345E822466EA8001AF1CE /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				245345EF22466EA8001AF1CE /* HackersUITests.swift in Sources */,
				245345FB22466F75001AF1CE /* SnapshotHelper.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		24C10BEF24866D3F00B93F68 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2419D037248AB03700740184 /* OpenInViewController.swift in Sources */,
				24C10BF624866D3F00B93F68 /* ShareViewController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		24F39F8118AFB1150055F8DC /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2481BD5B247C0FFB0088CA2B /* Models.swift in Sources */,
				249A7E32194374550059C079 /* CommentTableViewCell.swift in Sources */,
				24CE5FED19434BDC009D2677 /* AppDelegate.swift in Sources */,
				24993C57229C768700AF1891 /* AuthenticationBulletinPage.swift in Sources */,
				24E390AA2542D7A9000DA7A8 /* UIViewControllerExtensions.swift in Sources */,
				24E4F26119B4DA9900574B52 /* CommentDelegate.swift in Sources */,
				2479E11522B69CF100D9F1A4 /* ThumbnailImageView.swift in Sources */,
				2454B9041F655426005A98C7 /* EmptyViewController.swift in Sources */,
				2464D21D209E208800C7F8FC /* SettingsTableViewCell.swift in Sources */,
				24D1846124B396BD0017E4F4 /* UIViewController+Deselection.swift in Sources */,
				24D811A51FF90A58000951C3 /* TouchableTextView.swift in Sources */,
				24B982DD22BE65E2000D8913 /* SettingsView.swift in Sources */,
				24CEAA9B1F8916970050DEDF /* UIViewExtensions.swift in Sources */,
				24D6B8CA1C1EDBFC00618422 /* AppTheme.swift in Sources */,
				245DCAB01CD4DA2A00152AA3 /* SFSafariViewControllerExtensions.swift in Sources */,
				24D1845F24B374780017E4F4 /* FeedViewModel.swift in Sources */,
				2481BD5F247C103B0088CA2B /* HackersKit+Post.swift in Sources */,
				249B8F8722A2B740002A9EC5 /* SwipeCellKitActions.swift in Sources */,
				24191F8D1944C991003C0D98 /* CommentsController.swift in Sources */,
				24CEAA9D1F8917D60050DEDF /* ReviewController.swift in Sources */,
				24993C55229C2BD400AF1891 /* AuthenticationUIService.swift in Sources */,
				2464D213209DEFB100C7F8FC /* UINavigationControllerExtensions.swift in Sources */,
				24B1A6A522B508A40051EAFD /* OnboardingService.swift in Sources */,
				249B8F8A22A2C9B3002A9EC5 /* TableViewBackgroundView.swift in Sources */,
				249B8F8322A2A48B002A9EC5 /* NotificationToken.swift in Sources */,
				2481BD61247C11AE0088CA2B /* HackersKit+CommentVoting.swift in Sources */,
				24D330CA248BAC4C00A2AA10 /* HackersKit+Authentication.swift in Sources */,
				24C20D391A7E42D5005B759B /* MainSplitViewController.swift in Sources */,
				2464D21F209E27FE00C7F8FC /* UserDefaultsExtensions.swift in Sources */,
				24CE5FF819435A90009D2677 /* PostCell.swift in Sources */,
				24B982DF22BE65FF000D8913 /* SettingsStore.swift in Sources */,
				24628BAD21E6897700BDEEF9 /* AppFont.swift in Sources */,
				2457F04524696EB000F3E7A4 /* HackersKit.swift in Sources */,
				24A13DC92621F36F002235A8 /* ItemCell.swift in Sources */,
				2481BD65247C1B380088CA2B /* HackersKit+PostVoting.swift in Sources */,
				2464D21B209E1FA100C7F8FC /* SettingsViewController.swift in Sources */,
				24FFFF5A23362C7800D009EF /* HackersKitExtensions.swift in Sources */,
				247C9C79248BC35000AF4E60 /* NavigationService.swift in Sources */,
				241C32DE24950C05000876DC /* PostTitleView.swift in Sources */,
				24D1845924B336B60017E4F4 /* TitleButton.swift in Sources */,
				24DFD28C19436E51007F61E7 /* CommentsViewController.swift in Sources */,
				2477BDE5227D9D8200771FE2 /* SessionService.swift in Sources */,
				24FF021D226C9BEA002EF8DD /* SwinjectStoryboardExtensions.swift in Sources */,
				24D1845D24B35E7E0017E4F4 /* FeedCollectionViewController.swift in Sources */,
				249B8F8522A2A519002A9EC5 /* NotificationCenterExtensions.swift in Sources */,
				24B1A6A722B521470051EAFD /* BounceExpansion.swift in Sources */,
				2481BD5D247C10330088CA2B /* HackersKit+PostsList.swift in Sources */,
				2481BD63247C12540088CA2B /* HNScraperShim.swift in Sources */,
				24C10C082486DB0700B93F68 /* HtmlParser.swift in Sources */,
				243271951F95EDA9008196DB /* StringExtensions.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		2419D02B24898DF700740184 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 2419D01F24898DF700740184 /* HackersActionExtension */;
			targetProxy = 2419D02A24898DF700740184 /* PBXContainerItemProxy */;
		};
		245345F222466EA8001AF1CE /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 24F39F8418AFB1150055F8DC /* Hackers */;
			targetProxy = 245345F122466EA8001AF1CE /* PBXContainerItemProxy */;
		};
		24C10BFC24866D3F00B93F68 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 24C10BF224866D3F00B93F68 /* HackersShareExtension */;
			targetProxy = 24C10BFB24866D3F00B93F68 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		2419D02624898DF700740184 /* MainInterface.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				2419D02724898DF700740184 /* Base */,
			);
			name = MainInterface.storyboard;
			sourceTree = "<group>";
		};
		24C10BF724866D3F00B93F68 /* MainInterface.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				24C10BF824866D3F00B93F68 /* Base */,
			);
			name = MainInterface.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		2419D02D24898DF700740184 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = TransparentAppIcon;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				CODE_SIGN_STYLE = Manual;
				DEBUG_INFORMATION_FORMAT = dwarf;
				DEVELOPMENT_TEAM = N7SYAN8PX8;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				INFOPLIST_FILE = Extensions/HackersActionExtension/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @executable_path/../../Frameworks";
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				PRODUCT_BUNDLE_IDENTIFIER = com.weiranzhang.Hackers.HackersActionExtension;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "Hackers Dev Extensions Profile";
				SKIP_INSTALL = YES;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		2419D02E24898DF700740184 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = TransparentAppIcon;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CODE_SIGN_IDENTITY = "iPhone Distribution";
				CODE_SIGN_STYLE = Manual;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				DEVELOPMENT_TEAM = N7SYAN8PX8;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				INFOPLIST_FILE = Extensions/HackersActionExtension/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @executable_path/../../Frameworks";
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				PRODUCT_BUNDLE_IDENTIFIER = com.weiranzhang.Hackers.HackersActionExtension;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "Hackers Extensions Profile";
				SKIP_INSTALL = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		245345F322466EA8001AF1CE /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 5E579CFC7EF20C95FB344A2E /* Pods-HackersUITests.debug.xcconfig */;
			buildSettings = {
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CODE_SIGN_IDENTITY = "Apple Development";
				"CODE_SIGN_IDENTITY[sdk=macosx*]" = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				DEBUG_INFORMATION_FORMAT = dwarf;
				DEVELOPMENT_TEAM = N7SYAN8PX8;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				INFOPLIST_FILE = Tests/HackersUITests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @loader_path/Frameworks";
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				PRODUCT_BUNDLE_IDENTIFIER = co.weiran.HackersUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				"PROVISIONING_PROFILE_SPECIFIER[sdk=macosx*]" = "";
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = Hackers;
			};
			name = Debug;
		};
		245345F422466EA8001AF1CE /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 5C36BEF23DF27134A4F29678 /* Pods-HackersUITests.release.xcconfig */;
			buildSettings = {
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CODE_SIGN_IDENTITY = "Apple Development";
				"CODE_SIGN_IDENTITY[sdk=macosx*]" = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				DEVELOPMENT_TEAM = N7SYAN8PX8;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				INFOPLIST_FILE = Tests/HackersUITests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @loader_path/Frameworks";
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				PRODUCT_BUNDLE_IDENTIFIER = co.weiran.HackersUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				"PROVISIONING_PROFILE_SPECIFIER[sdk=macosx*]" = "";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = Hackers;
			};
			name = Release;
		};
		24C10BFF24866D3F00B93F68 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				CODE_SIGN_STYLE = Manual;
				CURRENT_PROJECT_VERSION = 75;
				DEBUG_INFORMATION_FORMAT = dwarf;
				DEVELOPMENT_TEAM = N7SYAN8PX8;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				INFOPLIST_FILE = Extensions/HackersShareExtension/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @executable_path/../../Frameworks";
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				PRODUCT_BUNDLE_IDENTIFIER = com.weiranzhang.Hackers.HackersShareExtension;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "Hackers Dev Extensions Profile";
				SKIP_INSTALL = YES;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		24C10C0024866D3F00B93F68 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CODE_SIGN_IDENTITY = "iPhone Distribution";
				CODE_SIGN_STYLE = Manual;
				COPY_PHASE_STRIP = NO;
				CURRENT_PROJECT_VERSION = 75;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				DEVELOPMENT_TEAM = N7SYAN8PX8;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				INFOPLIST_FILE = Extensions/HackersShareExtension/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @executable_path/../../Frameworks";
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				PRODUCT_BUNDLE_IDENTIFIER = com.weiranzhang.Hackers.HackersShareExtension;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "Hackers Extensions Profile";
				SKIP_INSTALL = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		24F39FAF18AFB1150055F8DC /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
			};
			name = Debug;
		};
		24F39FB018AFB1150055F8DC /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = YES;
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				SDKROOT = iphoneos;
				SWIFT_OPTIMIZATION_LEVEL = "-Owholemodule";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		24F39FB218AFB1150055F8DC /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 5B9C6ECB6751D2AF6D93515D /* Pods-Hackers.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_ENTITLEMENTS = "App/Supporting Files/Hackers.entitlements";
				CODE_SIGN_IDENTITY = "iPhone Developer";
				CODE_SIGN_STYLE = Manual;
				CURRENT_PROJECT_VERSION = 102;
				DEVELOPMENT_TEAM = N7SYAN8PX8;
				FRAMEWORK_SEARCH_PATHS = "$(inherited)";
				GCC_PRECOMPILE_PREFIX_HEADER = YES;
				GCC_PREFIX_HEADER = "App/Supporting Files/Hackers2-Prefix.pch";
				INFOPLIST_FILE = "App/Supporting Files/Hackers-Info.plist";
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				MARKETING_VERSION = 4.6;
				PRODUCT_BUNDLE_IDENTIFIER = "com.weiranzhang.$(PRODUCT_NAME:rfc1034identifier)";
				PRODUCT_NAME = Hackers;
				PROVISIONING_PROFILE_SPECIFIER = "Hackers Dev Provisioning Profile";
				SWIFT_ENFORCE_EXCLUSIVE_ACCESS = off;
				SWIFT_OBJC_BRIDGING_HEADER = "App/Supporting Files/Hackers2-Bridging-Header.h";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				WRAPPER_EXTENSION = app;
			};
			name = Debug;
		};
		24F39FB318AFB1150055F8DC /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 9D41F6A856DA1B6671301AAD /* Pods-Hackers.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_ENTITLEMENTS = "App/Supporting Files/Hackers.entitlements";
				CODE_SIGN_IDENTITY = "iPhone Distribution";
				CODE_SIGN_STYLE = Manual;
				CURRENT_PROJECT_VERSION = 102;
				DEVELOPMENT_TEAM = N7SYAN8PX8;
				FRAMEWORK_SEARCH_PATHS = "$(inherited)";
				GCC_PRECOMPILE_PREFIX_HEADER = YES;
				GCC_PREFIX_HEADER = "App/Supporting Files/Hackers2-Prefix.pch";
				INFOPLIST_FILE = "App/Supporting Files/Hackers-Info.plist";
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				MARKETING_VERSION = 4.6;
				PRODUCT_BUNDLE_IDENTIFIER = "com.weiranzhang.$(PRODUCT_NAME:rfc1034identifier)";
				PRODUCT_NAME = Hackers;
				PROVISIONING_PROFILE_SPECIFIER = "Hackers Prod Provisioning Profile";
				SWIFT_ENFORCE_EXCLUSIVE_ACCESS = off;
				SWIFT_OBJC_BRIDGING_HEADER = "App/Supporting Files/Hackers2-Bridging-Header.h";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				WRAPPER_EXTENSION = app;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		2419D02F24898DF700740184 /* Build configuration list for PBXNativeTarget "HackersActionExtension" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				2419D02D24898DF700740184 /* Debug */,
				2419D02E24898DF700740184 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		245345F522466EA8001AF1CE /* Build configuration list for PBXNativeTarget "HackersUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				245345F322466EA8001AF1CE /* Debug */,
				245345F422466EA8001AF1CE /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		24C10BFE24866D3F00B93F68 /* Build configuration list for PBXNativeTarget "HackersShareExtension" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				24C10BFF24866D3F00B93F68 /* Debug */,
				24C10C0024866D3F00B93F68 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		24F39F8018AFB1150055F8DC /* Build configuration list for PBXProject "Hackers" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				24F39FAF18AFB1150055F8DC /* Debug */,
				24F39FB018AFB1150055F8DC /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		24F39FB118AFB1150055F8DC /* Build configuration list for PBXNativeTarget "Hackers" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				24F39FB218AFB1150055F8DC /* Debug */,
				24F39FB318AFB1150055F8DC /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 24F39F7D18AFB1150055F8DC /* Project object */;
}
